/* 
  ==================================================
    Grid
  --------------------------------------------------
    Dependencies:
      - variables
  ==================================================
*/

  @{gridClass} {
    @margin: 30px;

    .flex {
      &--row {
        display: flex;
        flex-flow: wrap row;
        margin: 0 -(@margin / 2);
        &.zm-bottom {
          [class*="column"] {
            padding-bottom: 0;
          }
        }
        &.ai-center {
          align-items: center;
        }
        [class*="column"] {
          flex-grow: 1;
          flex-shrink: 1;
          padding: 0 (@margin / 2);
          box-sizing: border-box;
          @media screen {
            @media (min-width: 961px) {
              &[class*="d12"] {
                flex-basis: 100%;
              }
              &[class*="d8"] {
                flex-basis: 66.666%;
              }
              &[class*="d6"] {
                flex-basis: 50%;
              }
              &[class*="d4"] {
                flex-basis: 33.333%;
              }
              &[class*="d2"] {
                flex-basis: 20%;
              }
            }
            @media (min-width: 641px) and (max-width: 960px) {
              &[class*="t12"] {
                flex-basis: 100%;
              }
              &[class*="t6"] {
                flex-basis: 50%;
              }
              &[class*="t4"] {
                flex-basis: 33.333%;
              }
            }
            @media (max-width: 640px) {
              &[class*="m12"] {
                flex-basis: 100%;
              }
              &[class*="m6"] {
                flex-basis: 50%;
              }
            }
            @media (max-width: 360px) {
              &[class*="s12"] {
                flex-basis: 100%;
              }
            }
          }
        }
      }
    }
  }
  @{wrapperClass} {
    width: 90%;
    max-width: 1170px;
    margin: 0 auto;
  }
